import request from '@/utils/request'

// 查询订单回复列表
export function listDocOrderReply(query) {
  return request({
    url: '/doc/docOrderReply/list',
    method: 'get',
    params: query
  })
}

// 查询订单回复详细
export function getDocOrderReply(replyId) {
  return request({
    url: '/doc/docOrderReply/' + replyId,
    method: 'get'
  })
}

// 新增订单回复
export function addDocOrderReply(data) {
  return request({
    url: '/doc/docOrderReply',
    method: 'post',
    data: data
  })
}

// 修改订单回复
export function updateDocOrderReply(data) {
  return request({
    url: '/doc/docOrderReply',
    method: 'put',
    data: data
  })
}

// 删除订单回复
export function delDocOrderReply(replyId) {
  return request({
    url: '/doc/docOrderReply/' + replyId,
    method: 'delete'
  })
}

// 导出订单回复
export function exportDocOrderReply(query) {
  return request({
    url: '/doc/docOrderReply/export',
    method: 'get',
    params: query
  })
}